## ros-crystal-sros2 0.6.3

=== debian/changelog ===
ros-crystal-sros2 (0.6.3-0bionic) bionic; urgency=high

  * [crystal-backport] Backport XML and XSLT functionality (#93 <https://github.com/ros2/sros2/issues/93>)
  * Contributors: Mikael Arguedas, Jacob Perron, Ross Desmond, Ruffin White

 -- Michael Carroll <michael@openrobotics.org>  Tue, 12 Mar 2019 05:00:00 -0000

ros-crystal-sros2 (0.6.2-0bionic) bionic; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 08 Feb 2019 06:00:00 -0000

ros-crystal-sros2 (0.6.1-0bionic) bionic; urgency=high

  * Restructured sros2 to enable additional packages in this repository. (#74 <https://github.com/ros2/sros2/issues/74>)
  * Added generate_permissions verb + update policy definition to support services and actions (#71 <https://github.com/ros2/sros2/issues/71>)
  * Contributors: Jacob Perron, Ross Desmond

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Jan 2019 06:00:00 -0000

ros-crystal-sros2 (0.6.0-0bionic) bionic; urgency=high

  * Merge pull request #70 <https://github.com/ros2/sros2/issues/70> from ros2/update_maintainer
    Update package maintainer for sros2
  * Update package maintainer for sros2.
  * separating identity and permission CAs (#67 <https://github.com/ros2/sros2/issues/67>)
  * ignore __pycache__ in git
    Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * raise FileNotFoundError if provided permission file doesn't exist (#64 <https://github.com/ros2/sros2/issues/64>)
  * refer to new xsd now that it's available (#62 <https://github.com/ros2/sros2/issues/62>)
  * fixup path of RANDFILE to match rest of tutorial (#61 <https://github.com/ros2/sros2/issues/61>)
  * Contributors: Michael Carroll, Mikael Arguedas, William Woodall

 -- Michael Carroll <michael@openrobotics.org>  Fri, 07 Dec 2018 06:00:00 -0000

ros-crystal-sros2 (0.5.0-0bionic) bionic; urgency=high

  * Update docs for bouncy leveraging remapping for demo (#53 <https://github.com/ros2/sros2/issues/53>)
  * Windows tutorial tweaks (#58 <https://github.com/ros2/sros2/issues/58>)
  * publish ans subscribe to all parameter service topics (#52 <https://github.com/ros2/sros2/issues/52>)
  * remove partitions (#45 <https://github.com/ros2/sros2/issues/45>)
  * as of Bouncy access control is available for both Fast-RTPS and Connext (#50 <https://github.com/ros2/sros2/issues/50>)
  * add pytest markers to linter tests
  * Remove outdated docker resources now that SROS2 ships as part of the core (#48 <https://github.com/ros2/sros2/issues/48>)
  * add X509 extensionCA:false (#47 <https://github.com/ros2/sros2/issues/47>)
  * enable_liveliness_protection (#44 <https://github.com/ros2/sros2/issues/44>)
  * set zip_safe to avoid warning during installation (#42 <https://github.com/ros2/sros2/issues/42>)
  * Linter fixup
  * add special service rule only if not wildcarding everything (#40 <https://github.com/ros2/sros2/issues/40>)
  * remove whant now appears to be obsolete DCPS whitelisting (#34 <https://github.com/ros2/sros2/issues/34>)
  * fix sample_policy download command (#37 <https://github.com/ros2/sros2/issues/37>)
  * Fix access control for ardent (#33 <https://github.com/ros2/sros2/issues/33>)
  * advise to ask questions on ROS answers
  * print full help when no command is passed (#35 <https://github.com/ros2/sros2/issues/35>)
  * add return code to all verb apis (#28 <https://github.com/ros2/sros2/issues/28>)
  * Contributors: Dirk Thomas, Mikael Arguedas, Shane Loretz, dhood

 -- Michael Carroll <michael@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000

ros-crystal-sros2 (0.4.0-0bionic) bionic; urgency=high

  * update maintainer
  * update instructions now that connext security is supported on all pla… (#30 <https://github.com/ros2/sros2/issues/30>)
  * explicitly call out setting the variables (#29 <https://github.com/ros2/sros2/issues/29>)
  * remove test_suite, add pytest as test_requires (#27 <https://github.com/ros2/sros2/issues/27>)
  * update xml to match spec + connext 53 (#16 <https://github.com/ros2/sros2/issues/16>)
  * 0.0.3
  * install/setup.bat -> <path to ros2 install>/setup.bat (#25 <https://github.com/ros2/sros2/issues/25>)
  * Add internal topics (without partition) to default allow rule (#24 <https://github.com/ros2/sros2/issues/24>)
    The topic wildcard + partition wildcard doesn't match
  * Correct ordering of string formatting params (#23 <https://github.com/ros2/sros2/issues/23>)
    Topic and partition were swapped
  * make policy filenames match
  * Update OpenSSL install instructions for Windows
  * Fix connext for node with default partition (#20 <https://github.com/ros2/sros2/issues/20>)
  * update style to satisfy new flake8 plugins (#19 <https://github.com/ros2/sros2/issues/19>)
  * implicitly inherit from object (#18 <https://github.com/ros2/sros2/issues/18>)
  * remove flake8 dependency from Dockerfile (#17 <https://github.com/ros2/sros2/issues/17>)
  * add issue template
  * update dockerfile to use beta2 binaries (#14 <https://github.com/ros2/sros2/issues/14>)
  * add libssl-dev as an exec dependency (#13 <https://github.com/ros2/sros2/issues/13>)
  * OS X: fix typo for env. variable (#15 <https://github.com/ros2/sros2/issues/15>)
  * update links to master
  * Split docs and update content (#12 <https://github.com/ros2/sros2/issues/12>)
  * use ros2 run (#11 <https://github.com/ros2/sros2/issues/11>)
  * 0.0.2
  * Find openssl executable on osx and enforce minimum required version for all platforms (#10 <https://github.com/ros2/sros2/issues/10>)
  * Updates to Windows running instructions (#9 <https://github.com/ros2/sros2/issues/9>)
    - Fixed the OpenSSL install link
    - Added OpenSSL to path
    - Updated talker and listener calls
    - Deleted source section
  * fix fallback api without argcomplete (#8 <https://github.com/ros2/sros2/issues/8>)
  * fix wrong imports (#7 <https://github.com/ros2/sros2/issues/7>)
  * Add tools for security files generation (#3 <https://github.com/ros2/sros2/issues/3>)
  * Initial commit

