=== debian/control ===
Source: ros-crystal-sros2
Section: misc
Priority: extra
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-crystal-ament-copyright, ros-crystal-ament-flake8, ros-crystal-ament-pep257, ros-crystal-ros2cli, ros-crystal-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-crystal-sros2
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, openssl, python3-lxml, ros-crystal-ros2cli, ros-crystal-ros-workspace
Description: Command line tools for managing SROS2 keys
